Package Details: depot-tools-git r6630.44134341f-1

Git Clone URL: https://aur.archlinux.org/depot-tools-git.git (read-only, click to copy)
Package Base: depot-tools-git
Description: Build tools for working with Chromium development, include gclient
Upstream URL: https://dev.chromium.org/developers/how-tos/install-depot-tools
Keywords: chromium development google tools v8
Licenses: custom
Conflicts: depot_tools-svn, gclient-svn
Provides: depot_tools, gclient
Submitter: aperez
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 84
Popularity: 0.010479
First Submitted: 2014-07-07 14:25
Last Updated: 2019-12-24 01:22

Dependencies (5)

Sources (5)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

yan12125 commented on 2017-04-08 16:13

Got it. Sometimes I feel my $PATH bloated, too :)

Maybe we can have a change, so that $PATH needs to be modified in .bashrc/.zshrc/etc... by users manually. How do you think, @aperez?

vasya commented on 2017-04-08 16:04

@yan12125 no particular reason except I do not need it at all. And the PATH in question has _125_ executables. A bit too much for me.

yan12125 commented on 2017-04-08 15:12

Just curious - any reason for keeping this package from touching /etc/profile.d?

vasya commented on 2017-04-08 14:14

Hi. If anyone's interested, I made a fork of this AUR package that does not change your PATH (and does not touch /etc/profile.d): https://github.com/vn971/aur-depot-tools-git

At the time of writing, here is the actual diff: https://github.com/vn971/aur-depot-tools-git/commit/c9967c250439a20bacc2640715e35ce3e8c03bdf The package works well for building `google-breakpad-git` BTW.

yan12125 commented on 2016-11-14 14:02

I guess you didn't install google-cloud-sdk? In general there's no need to run gclient as root

KernelDeimos commented on 2016-11-14 13:50

Permissions may be incorrect after installing. I resorted to "sudo gclient sync" as and it worked, but the script told me running depot tools as root is sad and well... it's not wrong.

yan12125 commented on 2016-11-13 09:26

Unflagged it as this package is still working for me. On the other hand, seems there's a bug in AUR that I didn't receive out-of-date notification mails. [1] Please leave comments below instead.

[1] https://lists.archlinux.org/pipermail/aur-general/2016-November/032911.html

yan12125 commented on 2016-09-17 10:53

@eduardosm Added.

eduardosm commented on 2016-09-17 10:11

git is also a run time dependency

yan12125 commented on 2016-08-31 14:27

@pancakemixerer It should be fixed now, thanks!